Bug 145042 - HTML Images don't all load properly
HTML Images don't all load properly
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-01-13 16:46 EST by Brent Rowse
Modified: 2008-02-17 10:09 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-2.12.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-17 10:09:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brent Rowse 2005-01-13 16:46:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
Even after changing the settings to automatically load images in HTML
mail the images are not properly loaded.  It normally loads some of
the images and then stops.  One can then close the EMail and open it
again and some more of the images will load.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open up any EMail that has several images.
2. Some of the images will load automatically.
3. Close the EMail.
4. More of the images will load.  Sometimes this will load the rest of
them, but not always.
5. Close the EMail.
6. Open the EMail again to load more images, etc.....


Actual Results:  Each time more images will open.  Most of the time,
the second iteration will load all the images.  

Expected Results:  The first time one opens up an EMail it should load
all the images.

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:34:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Mark Polo 2006-10-30 03:19:06 EST
I seem to have a related problem in FC6. I am using the Exchange connector and
access the Internet through a proxy. I initially had terrible problems because
Evolution wouldn't try to access the OWA server through the proxy, which I
resolved by nagging an administrator to put an OWA server in our local network.

Anyway, the problem, as it manifests itself on my system, is that all the images
are simply displayed as little red x's. I presume that this means that Evolution
is ignoring the proxy, which is declared in the Gnome Proxy dialog, in Firefox,
and in the environment. However, today, I noticed that a message that was
sitting in the Inbox on the server did display the images, and only the messages
that were moved to the local mbox were actually affected by the bug. The
Internet connection is obviously active, as I am sending this message over the
same connection.
Comment 3 Matěj Cepl 2007-08-31 11:20:53 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Mark Polo 2007-09-08 09:40:52 EDT
I have the same problem in Fedora 7, evolution version 2.10.3-2.fc7. This is
also reported as bug #215009 (from where it was passed upstream and was never
accepted or acknowledged). I must access the Internet through a Microsoft Proxy
that requires a weird communication format. I use ntlmaps 0.9.9 as a local proxy
to contact the MS proxy. All other applications properly use the proxy and have
Comment 5 Milan Crha 2007-11-20 09:31:55 EST
I looked through evolution and saw that it uses settings from
/system/http_proxy, not from /system/proxy (look with gconf-editor). It also
depends on the image url, if it starts with http(s) or not. Can you check what
happened with the image URL when you moved image to local folder (probably
nothing) and what is that url? Thanks in advance.
Comment 6 Milan Crha 2007-11-20 11:56:49 EST
I'm sorry, I'm odd, see upstream bug [1] for proxy issue.
Can you reproduce the initial issue on Fedora 8, please?

[1] http://bugzilla.gnome.org/show_bug.cgi?id=376425
Comment 7 Milan Crha 2008-02-11 12:18:58 EST
The proxy issue from upstream bug is in 2.12.3 in Fedora 8.
The initial issue is still opened, so setting NEEDINFO.
Comment 8 Mark Polo 2008-02-15 15:08:00 EST
After the last update to evolution, my problem was miraculously resolved. As I
don't have the problem any more, as far as I am concerned, this could be closed.
Comment 9 Matthew Barnes 2008-02-17 10:09:10 EST
Thanks for responding.  Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.